Bug 1408950 - SSH configuration files fail with Turkish locale
Summary: SSH configuration files fail with Turkish locale
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-28 11:17 UTC by Nigel Atkinson
Modified: 2017-01-06 20:22 UTC (History)
5 users (show)

Fixed In Version: openssh-7.4p1-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-06 20:22:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Nigel Atkinson 2016-12-28 11:17:52 UTC
Description of problem:

When using the Turkish locale, i.e. LANG=tr_TR.UTF-8, some of the configuration files for ssh have errors.

'Include' for example was not being recognised as 'include'.

I have tracked this down to the letter 'I' not being treated the same as 'i' when they should.

I've temporarily fixed my Fedora install by replacing 'I' with 'i' in the files:

/etc/ssh/ssh_config
/etc/ssh/ssh_config.d/05-redhat.conf

In addition and I am fairly sure this is related - While I was fixing the files using vim, the '~' command which usally swaps the case of the character under the cursor if it can, did not work for 'I'.

My guess this is an issue with i and the Turkish dotless i.

Version-Release number of selected component (if applicable):


How reproducible:

Each invocation.

Steps to Reproduce:
1. Either set your desktop preferences to Turkish, or adjust the LANG variable
2. Try to ssh somewhere.

Actual results:

/etc/ssh/ssh_config: line 56: Bad configuration option: Include
/etc/ssh/ssh_config: terminating, 1 bad configuration options


Expected results:

shell prompt of remote host.


Additional info:

# Works.
LANG=C ssh somehost

# Errors.
LANG=tr_TR.UTF-8 ssh somehost

Example of problem in vim:
write the alphabet on a line, then from the beginning of the line repetitively press '~' to swap the case of the character under the cursor. All will swap except 'i'.

Comment 1 Jakub Jelen 2017-01-02 08:58:17 UTC
Thank you for the report. This problem is already addressed in OpenSSH 7.4 (upstream bug [1]). I will update OpenSSH to this version soon.

[1] https://bugzilla.mindrot.org/show_bug.cgi?id=2643

Comment 2 Fedora Update System 2017-01-03 14:51:17 UTC
openssh-7.4p1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4767e2991d

Comment 3 Fedora Update System 2017-01-03 22:22:09 UTC
openssh-7.4p1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4767e2991d

Comment 4 Nigel Atkinson 2017-01-04 06:05:41 UTC
I've tried the update in update-testing and it seems to work correctly. :)

Tested with LANG=en_NZ.UTF-8, LANG=C and LANG=tr_TR.UTF-8

Comment 5 Fedora Update System 2017-01-06 20:22:23 UTC
openssh-7.4p1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.